# Generated by Django 2.0.5 on 2020-02-12 06:10

from django.db import migrations


class Migration(migrations.Migration):
    def add_versions(apps, schema_editor):
        CollectorVersion = apps.get_model("collector", "CollectorVersion")
        versions = ["Version 0.001"]
        for version in versions:
            CollectorVersion.objects.get_or_create(version=version)

    def add_platforms(apps, schema_editor):
        CollectorPlatform = apps.get_model("collector", "CollectorPlatform")
        platforms = ["Windows 10 (64 bit)"]
        for platform in platforms:
            CollectorPlatform.objects.get_or_create(platform=platform)

    def add_collector(apps, schema_editor):
        Collector = apps.get_model("collector", "Collector")
        CollectorVersion = apps.get_model("collector", "CollectorVersion")
        CollectorPlatform = apps.get_model("collector", "CollectorPlatform")
        version = CollectorVersion.objects.get(version="Version 0.001")
        platform = CollectorPlatform.objects.get(platform="Windows 10 (64 bit)")
        Collector.objects.get_or_create(
            version=version,
            platform=platform,
            defaults=dict(download_link="collectors/AcelaCollector Setup 0.1.1.exe"),
        )

    dependencies = [("collector", "0002_auto_20200211_1257")]

    operations = [
        migrations.RunPython(add_versions),
        migrations.RunPython(add_platforms),
        migrations.RunPython(add_collector),
    ]
